--  Copyright (2008-2013) Cdric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

private with Nomo.Logging_Flags.Gen_Arrays;

private with Nomo.Interpreter.Types_Index.Ranges;

private package Nomo.Interpreter.Log_Manager is

   type Log_Flags is limited private;

   Log_All : constant Log_Flags;

private

   use Types_Index.Ranges;

   package Logging_Flags_Arrays is new Logging_Flags.Gen_Arrays (Internal_Type_Index);

   type Log_Flags is new Logging_Flags_Arrays.Log_Flags;

   use Logging_Flags;

   Log_All : constant Log_Flags := (others => All_Rule_Full);
   Flags   : Log_Flags := (others => All_Rule_Full);

end Nomo.Interpreter.Log_Manager;
